gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Xlib.Structs.XTrapezoid

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XTrapezoid = XTrapezoid (ManagedPtr XTrapezoid)

# Exported types

newtype XTrapezoid Source #

Memory-managed wrapper type.

Constructors

XTrapezoid (ManagedPtr XTrapezoid) |

#### Instances

Instances details

Eq XTrapezoid Source # |
Instance details Defined in GI.Xlib.Structs.XTrapezoid Methods (==) :: XTrapezoid -> XTrapezoid -> Bool Source # (/=) :: XTrapezoid -> XTrapezoid -> Bool Source #
BoxedPtr XTrapezoid Source # |
Instance details Defined in GI.Xlib.Structs.XTrapezoid Methods boxedPtrCopy :: XTrapezoid -> IO XTrapezoid Source # boxedPtrFree :: XTrapezoid -> IO () Source #
ManagedPtrNewtype XTrapezoid Source # |
Instance details Defined in GI.Xlib.Structs.XTrapezoid Methods toManagedPtr :: XTrapezoid -> ManagedPtr XTrapezoid Source #

# Methods